All pages
Powered by GitBook
1 of 2

Loading...

Loading...

Module

The Module object represents a module in the Marketplace platform.

This object contains the following attributes:

Field
Type
Description

id

string, core

(Read-only) Primary identifier for the module.

name

string, core

(Read-only) Name of the module.

description

string, core

(Read-only) A description of the module.

accountTypes

string

(Read-only) Indicates the module availability for the account type.

isEnabledByDefault

boolean

(Read-only) Indicates whether the module is enabled by default.

isConfigurable

boolean

(Read-only) Indicates whether module access can be changed.

paid

boolean, core

(Read-only) Indicates whether the module is fee-based.

settings

object, core

(Read-only) Defines the module setting.

  • sharedAccount – Defines whether there are multiple accounts with the same external ID.

  • configurable – Defines whether the module access can be changed.

  • default – Defines whether the module is enabled by default.

  • paid – Defines whether the module is fee-based.

filters

object, core

(Read-only) Defines the custom filters configuration.

Example

MODULE OBJECT
{
  "id": "MOD-1234",
  "name": "Invoices",
  "description": "Invoices module",
  "accountTypes": ["vendor", "client", "operations"],
  "isEnabledByDefault": true,
  "isConfigurable": false,
  "paid": true,
  "settings": {
    "sharedAccount": true,
    "configurable": true,
    "default": true,
    "paid": false
  },
  "filters": {
    "group.buyers": [
      "selected",
      "all"
    ]
  }
}

List modules

Gets a list of modules within the platform.

get

List modules. Available for Operations account with platform account management permissions. Returns a paged list of modules; supports RQL query parameters for filtering and selection.

Responses
200

OK

application/json
offsetinteger · int32Optional
limitinteger · int32Optional
totalinteger · int32 · nullableOptional
omittedstring[]Optional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
revisioninteger · int32Optional
descriptionstringOptional
codestringOptional
accountTypesstring[]Optional
group.buyersstring[]Optional
sharedAccountbooleanOptionalDeprecated
configurablebooleanOptional
defaultbooleanOptional
paidbooleanOptional
typestring[]Optional
obsoletebooleanOptional
multibooleanOptional
singlebooleanOptional
get/public/v1/accounts/modules
GET /public/v1/accounts/modules HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
200

OK

{
  "data": [
    {
      "id": "MOD-1234",
      "revision": 1,
      "name": "Invoices",
      "description": "Invoices module",
      "accountTypes": [
        "vendor",
        "client",
        "operations"
      ],
      "settings": {
        "sharedAccount": true,
        "configurable": true,
        "default": true,
        "paid": false
      },
      "filters": {
        "group.buyers": [
          "selected",
          "all"
        ]
      }
    }
  ],
  "$meta": {
    "pagination": {
      "offset": 0,
      "limit": 10,
      "total": 1
    }
  }
}

List modules